import request from 'src/utils/request'
import sysRequest from 'src/utils/sysRequest'

// 检查云端地址是否有效
export function isCloudAdress(data) {
    return request({
        url: '/qrcode/device/subsystem/isCloudAddress',
        data : data,
        method: 'post'
    })
}
//通过授权码获取系统信息
export function getSubSysInfo(authCode) {
    return request({
        url: '/qrcode/device/api/device/subsyst/info/getSubSysInfo/'+ authCode,
        method: 'get'
    })
}
//通过系统id查询SN码
export function getQrDeviceControlunitByChildSysId(childSysId) {
    return request({
        url: '/qrcode/device/controlunit/getQrDeviceControlunitByChildSysId/'+ childSysId,
        method: 'get'
    })
}
/**
 * 子系统心跳检测
 */
export function onlineDetection(data) {
    return sysRequest({
        url: '/qrcode/device/api/device/subsyst/info/online/detection',
        method: 'post',
        data: data,
    })
}

//通过类型获取最新版本信息
export function qrSubSysPatchByTime(type) {
    return request({
        url: '/qrcode/device/qrSubSysPatch/qrSubSys/'+ type,
        method: 'get'
    })
}

// 通过文件名称获取版本号
export function getFileName() {
    return request({
        url: '/file/pda/getFileName',
        method: 'get'
    })
}

//子系统获取token
export function subSysToken(data){
    return request({
        url: '/auth/sub-sys/token',
        data : data,
        method: 'post'

    })
}
